/*
 * BootQuad_Fair.java
 *
 * Created on September 19, 2005, 11:25 PM
 */

package aa.application.AdaptiveQuad;


import aa.core.Platform;
import aa.core.CyberOrg;
import aa.core.ActorName;
import aa.core.ActorMessage;
import aa.gui.View;

/**
 *
 * @author  xinghuizhao
 */
public class BootQuad_Fair {
    
    /** Creates a new instance of BootQuad_Res */
    public BootQuad_Fair() {
    }
    
    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        // TODO code application logic here
        
        System.out.println(System.currentTimeMillis());
        
        Integer myPort = new Integer(8074);
        
        View myView = new View(myPort);
        
        Platform pPlatform=new Platform(myView,myPort);
        
        pPlatform.start();
        
        Object[] nullobja={};
        
        CyberOrg fibCyber=(CyberOrg)pPlatform.createCyberOrg(new Long(900000000), new Long(2000), new Long(1000),"aa.application.AdaptiveQuad.QuadFacilitator", nullobja);
        
        ActorName facility=fibCyber.getFacilitator();
        
        ActorName fibonacciActor=null;
        
        Object[] quadAgs = {new Double(0.0001)};
        
        
        ActorName quadActor=pPlatform.createActor(facility, "aa.application.AdaptiveQuad.QuadActor_noRes", quadAgs);
        
        
        //adapt for QuadActor (in order to allocate resource)
        
        Object[] quadAgs2 = {new Double(0.0001),quadActor};
        
        ActorName quadActor2=pPlatform.createActor(facility, "aa.application.AdaptiveQuad.QuadActor_noRes", quadAgs2);
        
        //end adapt
        
        Object[] Ags=new Object[4];
        Ags[0] = new Double(0);
        Ags[1] = new Double(1);
        Ags[2] = quadActor2;
        Ags[3] = "result";
        
        ActorMessage request=new ActorMessage(pPlatform.getActorNameOfPlatform(), 
                                                quadActor2, "quadrature",Ags, false);
        
        
        
        /*CyberOrg fibCyber2=pPlatform.createCyberOrg(90000000, 2000, 1000,"aa.application.AdaptiveQuad.QuadFacilitator", nullobja);
        
        ActorName facility2=fibCyber2.getFacilitator();
        
        ActorName fibonacciActor2=null;
        
        Object[] quadAgs21 = {new Double(0.1),facility,new Integer(2)};
        
        
        ActorName quadActor21=pPlatform.createActor(facility2, "aa.application.AdaptiveQuad.QuadActor_Res", quadAgs21);
        
        
        //adapt for QuadActor (in order to allocate resource)
        
        Object[] quadAgs22 = {new Double(0.1),quadActor21,facility2,new Integer(2)};
        
        ActorName quadActor22=pPlatform.createActor(facility2, "aa.application.AdaptiveQuad.QuadActor_Res", quadAgs22);
        
        //end adapt
        
        Object[] Ags2=new Object[4];
        Ags2[0] = new Double(4);
        Ags2[1] = new Double(6);
        Ags2[2] = quadActor22;
        Ags2[3] = "result";
        
        ActorMessage request2=new ActorMessage(pPlatform.getActorNameOfPlatform(), 
                                                quadActor21, "quadrature",Ags2, false);*/
        
        pPlatform.sendMessage(request);
        
        /*pPlatform.sendMessage(request2);*/
    
    }
    
}
