/*
 * driver.java
 *
 * Created on May 17, 2005, 3:44 PM
 */

package aa.drivers;

import aa.core.*;
import aa.gui.View;

import java.net.InetAddress;
import java.util.LinkedList;
import java.util.Hashtable;
import java.io.*;

/**
 *
 * @author  xinghuizhao
 */
public class driver {
    
    /** Creates a new instance of driver */
    public driver() {
    }
    
    private static void testReceiveCyberOrg(Platform p_pPlatform){
        //ActorName remote= new ActorName("128.233.109.164",2);
        ActorName remote= new ActorName("192.168.1.100",2);
        Object[] obja={new Contract(),
                       new Long(0),
                       
                       new LinkedList()};
        
        ActorMessage msg = new ActorMessage(p_pPlatform.getActorNameOfPlatform(), 
                                            remote, 
                                            "receiveCyberOrg", 
                                            obja,
                                            false);
        p_pPlatform.sendMessage(msg);
        
    }
    
    public static void testHash(){
        ActorName an1= new ActorName("128.233.109.239",0);
        ActorName an2 = new ActorName("128.233.109.239",0);
        //an1.setLocationAddress("128.109.233.209");
        
        String s1="asdf";
        String s2="asdf";
        
        Hashtable hash=new Hashtable();
        hash.put(s1,"ejk");
        System.out.println(an1+" "+an2);
        System.out.println(hash.get(s2));
        
        System.out.println(hash.containsKey(an2));
        if (an1.equals(an2)){
            System.out.println("Equallllll");
        }
        
    }
    
    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        // TODO code application logic here
        //testHash();
        
        Integer iPort = new Integer(8070);
        
        View myView = new View(iPort);
        
        Platform myPlatform = new Platform(myView,iPort);
        
        myPlatform.start();
        
        Object[] objaAgs = new Object[0];
        
        Object[] objaFaci = {new Long(0)};
        
        
        //testReceiveCyberOrg(myPlatform);
        
        CyberOrg cyb = (CyberOrg)myPlatform.createCyberOrg(new Long(90000000),new Long(90000),new Long(1000),"aa.drivers.FaciPara",objaFaci);
        
        Object[] objaAgsCreate = new Object[1];
        
        String faciClass = "aa.core.Actor";
        
        objaAgsCreate[0] = faciClass;
        
        
        
        ActorName actor1 = myPlatform.createActor(cyb.getFacilitator(), "aa.core.Actor", objaAgs);
        
        ActorName[] actors1 = new ActorName[1];
        actors1[0]=actor1;
        
        
        CyberOrg child = cyb.isolate(10, actors1, new Contract(20000000,20000,5));
        
        ActorName actor2 = myPlatform.createActor(cyb.getFacilitator(), "aa.core.Actor", objaAgs);
        
        
        
        ActorName[] actors2 = new ActorName[1];
        actors2[0]=actor2;
        
        CyberOrg child2 = cyb.isolate(10, actors2, new Contract(20000000,20000,50));
        ActorName actor3 = myPlatform.createActor(child2.getFacilitator(), "aa.core.Actor",objaAgs);
        
        ActorName[] actors21 = {actor3};
        CyberOrg child21 = child2.isolate(10, actors21, new Contract(10000000,10000,5));

        
        System.out.print("Please input the IP address of the destination node: ");
        BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
        String remoteDesti=null;
        try{
        		remoteDesti = br.readLine();
        } catch (IOException ioe){
        		System.out.println("IO error trying to read the Destination Address!");
        		System.exit(1);
        }
        ActorName remoteFaci = new ActorName(remoteDesti,2);
        //ActorName remoteFaci = new ActorName("192.168.1.100",2);
        //ActorName remoteFaci = new ActorName("172.31.109.196",2);
        
        Object[] tryMigrateAgs = {remoteFaci, new Contract(10000000,10000,2)};
        
        ActorMessage am_Msg = new ActorMessage(myPlatform.getActorNameOfPlatform(), 
                                               child2.getFacilitator(),
                                               "tryMigrate",
                                               tryMigrateAgs, 
                                               false);
        //myPlatform.sendMessage(am_Msg);
        
        //System.out.println(am_Msg);
        
        System.out.println("before migration: " + System.currentTimeMillis());
        
        child2.migrate(remoteFaci, new Contract(10000000,10000,2));
       
        Object[] objaIso = new Object[3];
        objaIso[0] = new Long(2);
        objaIso[1] = actors21;
        objaIso[2] = new Contract(5,5,1);
        
        try{
            synchronized(objaIso){
                objaIso.wait(10000);
            }
        }catch(Exception e){
            System.out.println("excccccccccccc"+e);
        }
        
        Object[] emptyObja = {};
        ActorMessage am_iso = new ActorMessage(myPlatform.getActorNameOfPlatform(),
                                               child21.getFacilitator(), 
                                               "remoteControlIsolate", 
                                               objaIso, 
                                               false
                                               );
        //myPlatform.sendMessage(am_iso);
        
        ActorMessage am_assi = new ActorMessage(myPlatform.getActorNameOfPlatform(),
                                               child21.getFacilitator(), 
                                               "remoteControlAssimilate", 
                                               emptyObja, 
                                               false
                                               );
        //myPlatform.sendMessage(am_assi);
        
    }
    
}
